hledger-1.3: Command-line interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Text.Tabular.AsciiWide

Description

Text.Tabular.AsciiArt from tabular-0.2.2.7, modified to treat wide characters as double width.

Synopsis

- render :: Bool -> (rh -> String) -> (ch -> String) -> (a -> String) -> Table rh ch a -> String
- verticalBar :: Bool -> Char
- leftBar :: Bool -> String
- rightBar :: Bool -> String
- midBar :: Bool -> String
- doubleMidBar :: Bool -> String
- horizontalBar :: Bool -> Char
- doubleHorizontalBar :: Bool -> Char
- renderColumns :: Bool -> [Int] -> Header String -> String
- renderHLine :: Bool -> [Int] -> Header String -> Properties -> [String]
- doubleCross :: Bool -> String
- doubleVerticalCross :: Bool -> String
- cross :: Bool -> Char
- renderHLine' :: Bool -> Properties -> [Int] -> Char -> Header String -> String

# Documentation

render #

Arguments

:: Bool | pretty tables
-> (rh -> String) |
-> (ch -> String) |
-> (a -> String) |
-> Table rh ch a |
-> String |

for simplicity, we assume that each cell is rendered on a single line

verticalBar :: Bool -> Char #

leftBar :: Bool -> String #

rightBar :: Bool -> String #

midBar :: Bool -> String #

doubleMidBar :: Bool -> String #

horizontalBar :: Bool -> Char #

doubleHorizontalBar :: Bool -> Char #

renderColumns #

Arguments

:: Bool | pretty
-> [Int] | max width for each column
-> Header String |
-> String |

We stop rendering on the shortest list!

renderHLine #

Arguments

:: Bool | pretty
-> [Int] | width specifications
-> Header String |
-> Properties |
-> [String] |

doubleCross :: Bool -> String #

doubleVerticalCross :: Bool -> String #

cross :: Bool -> Char #

renderHLine' :: Bool -> Properties -> [Int] -> Char -> Header String -> String #